<div class="container">
    <h1>Pipes Componenet Demos</h1>
    <h1>String pipe : {{ename}}</h1>
    <p ngNonBindable>{{ename | uppercase}}</p>
    <p>{{ename | uppercase}}</p>

    <p ngNonBindable>{{ename | lowercase}}</p>
    <p>{{ename | lowercase}}</p>

    <h1>Date : {{dateofjoining}}</h1>
    <p ngNonBindable>{{dateofjoining | date}}</p>
    <p>{{dateofjoining | date}}</p>

    <p ngNonBindable>{{dateofjoining | date:'short'}}</p>
    <p>{{dateofjoining | date:'short'}}</p>

    <p ngNonBindable>{{dateofjoining | date:'medium'}}</p>
    <p>{{dateofjoining | date:'medium'}}</p>

    <h1>Number Pipe : {{salary}}</h1>
    <p ngNonBindable>{{salary | number}}</p>
    <p>{{salary | number}}</p>

    <p ngNonBindable>{{salary | number:'4.2-4'}}</p>
    <p>{{salary | number:'4.2-4'}}</p>

    <p ngNonBindable>{{salary | number:'10.2'}}</p>
    <p>{{salary | number:'10.2'}}</p>

    <h1>JSON Pipe : {{address}}</h1>
    <p ngNonBindable>{{address | json}}</p>
    <p>{{address | json}}</p>

    <h1>Custom Pipe</h1>
    <p ngNonBindable>{{3 | exponent}}</p>
    <p>{{3 | exponent}}</p>

    <p ngNonBindable>{{4 | exponent:4}}</p>
    <p>{{4 | exponent:4}}</p>

</div>